#ifndef CYBERPUNK_CCOLORDEFINES_HPP
#define CYBERPUNK_CCOLORDEFINES_HPP


//general core colors

#define COLOR_WHITE Color(255, 255, 255)
#define COLOR_PINK Color(255, 0, 140)
#define COLOR_PINK_ALPHA Color(255, 0, 140, 130)
#define COLOR_DARK_PINK Color(100, 14, 39)

#define COLOR_YELLOW Color(200,255,0)
#define COLOR_YELLOW_GREEN Color(100,255,0)

#define COLOR_DARK_GREEN Color(0, 165 ,115)
#define COLOR_DARK_GREEN_ALPHA Color(0, 165 ,115, 130)
#define COLOR_BLACK_GREEN Color(0,100, 50)

#define COLOR_DARK_RED Color(150, 0, 0)
#define COLOR_ORANGE Color(255, 100, 0)

//#define COLOR_BLACK_ALPHA Color(0, 0, 0, 100)
#define COLOR_BLACK_BLUE_ALPHA Color(0, 0, 120, 100)

#define COLOR_NRW_DARK_PURPLE Color(78, 44, 105)
#define COLOR_NRW_MEDIUM_PURPLE Color(89, 23, 129)

#define COLOR_NRW_DARK_FLOOR_BASE Color(25, 15, 35)
#define COLOR_NRW_DARK_FLOOR_ACCENT Color(27, 25, 48)

#define COLOR_NRW_DARK_OUTERWALL_BASE Color(36, 25, 49)
#define COLOR_NRW_DARK_OUTERWALL_ACCENT Color(113, 55, 130)

#define COLOR_NRW_DARK_WALL_BASE Color(50, 35, 70)
#define COLOR_NRW_DARK_WALL_ACCENT Color(150, 80, 190)

#define COLOR_NRW_DOORWAY_WALL_BASE Color(70, 25, 45)
#define COLOR_NRW_DOORWAY_WALL_ACCENT Color(200, 35, 45)

#define COLOR_NRW_DARK_CORRIDOR_BASE Color(35, 25, 50)
//#define COLOR_NRW_DARK_CORRIDOR_ACCENT Color(130, 70, 170)
#define COLOR_NRW_DARK_CORRIDOR_ACCENT Color(70, 130, 170)

// Spawn point
#define COLOR_SPAWNPOINT_BASE Color(50, 15, 160)
#define COLOR_SPAWNPOINT_ACCENT Color(60, 20, 170)

// Enemy Ghost
#define COLOR_ENEMY_GHOST_NORMAL_BASE Color(200, 200, 240, 150)
#define COLOR_ENEMY_GHOST_NORMAL_ACCENT Color(140, 140, 240)
#define COLOR_ENEMY_GHOST_NORMAL_DASHING_BASE Color(100, 100, 255, 240)
#define COLOR_ENEMY_GHOST_NORMAL_DASHING_ACCENT Color(80, 80, 255)
#define COLOR_ENEMY_GHOST_INVISIBLE_BASE Color(220, 220, 255, 4)
#define COLOR_ENEMY_GHOST_INVISIBLE_ACCENT Color(200, 200, 200, 4)
#define COLOR_ENEMY_GHOST_INVISIBLE_DASHING_BASE Color(60, 60, 220, 180)
#define COLOR_ENEMY_GHOST_INVISIBLE_DASHING_ACCENT Color(30, 30, 230)

#endif //CYBERPUNK_CCOLORDEFINES_HPP
